' ELSEIF.BAS
' This program demonstrates the use of ELSEIF.

CLS

PRINT "Welcome to Motion Picture Trivia!"
PRINT "In what year did the film Ben Hur win"
PRINT "the Academy Award for Best Picture?"
PRINT
INPUT "Please enter a year from 1950 to 1959:  ", year%
PRINT

IF year% = 1950 THEN
    PRINT "Incorrect.  In 1950, the Academy Award for"
    PRINT "Best Picture went to All About Eve."
ELSEIF year% = 1951 THEN
    PRINT "Incorrect.  In 1951, the Academy Award for"
    PRINT "Best Picture went to An American in Paris."
ELSEIF year% = 1952 THEN
    PRINT "Incorrect.  In 1952, the Academy Award for"
    PRINT "Best Picture went to The Greatest Show on Earth."
ELSEIF year% = 1953 THEN
    PRINT "Incorrect.  In 1953, the Academy Award for"
    PRINT "Best Picture went to From Here to Eternity."
ELSEIF year% = 1954 THEN
    PRINT "Incorrect.  In 1954, the Academy Award for"
    PRINT "Best Picture went to On the Waterfront."
ELSEIF year% = 1955 THEN
    PRINT "Incorrect.  In 1955, the Academy Award for"
    PRINT "Best Picture went to Marty."
ELSEIF year% = 1956 THEN
    PRINT "Incorrect.  In 1956, the Academy Award for"
    PRINT "Best Picture went to Around the World in 80 Days."
ELSEIF year% = 1957 THEN
    PRINT "Incorrect.  In 1957, the Academy Award for"
    PRINT "Best Picture went to The Bridge on the River Kwai."
ELSEIF year% = 1958 THEN
    PRINT "Incorrect.  In 1958, the Academy Award for"
    PRINT "Best Picture went to Gigi."
ELSEIF year% = 1959 THEN
    PRINT "Correct!  Ben Hur, directed by William Wyler,"
    PRINT "won 11 Academy Awards in 1959, including"
    PRINT "Best Picture."
ELSE
    PRINT "You did not enter a number between 1950 and 1959."
    PRINT "Please run the program again and enter an"
    PRINT "appropriate value."
END IF

